> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v3/payment/sign



## OpenAPI

````yaml POST /v3/payment/sign
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v3/payment/sign:
    post:
      tags:
        - payment
      summary: Validate or sign DRAFT payment
      parameters:
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
          description: |
            - 1 — validation of signing DRAFT payments (signToken is not used)
            - 0 — signing the DRAFT payment (signToken is required)
        - in: query
          name: signToken
          required: false
          schema:
            type: string
          description: |
            It is used only when 'validate = 0'.
            When 'validate = 1' is not checked.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: array
                  description: Payment uuid (UUID string)
                  items:
                    type: string
              required:
                - id
      responses:
        '200':
          description: OK or VALIDATE
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ACCEPTED
                  data:
                    type: object
              example:
                status: ACCEPTED
                data: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
      security:
        - bearerAuth: []
components:
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````